<template>
  <span class="flex-grow-1 py-1">
    {{ formatedValue }}
  </span>
</template>

<script>
import moment from 'moment'
import WorkspaceGetter from '@/workspace/mixins/WorkspaceGetter'

export default {
  name: 'tablehourdataitem',

  mixins: [
    WorkspaceGetter,
  ],

  props: {
    date: {
      type: Number,
      required: true,
    },

    hour: {
      type: Number,
      required: true,
    },

    variable: {
      type: String,
      required: true,
    }
  },

  computed: {
    query: {
      get() {
        return this.$store.getters.workspaceQuery(this.workspaceId)
      }
    },

    time: {
      get() {
        return moment.unix(this.date).add(this.hour, 'hours').format('YYYY-MM-DDTHH:00:00+00:00')
      }
    },

    value: {
      get() {
        return this.query.data[this.variable][this.time]['surface']
      }
    },

    formatedValue: {
      get() {
        return 0
      }
    },
  }
}
</script>
